summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Roberto Metere2011-03-05 21:58:40 +0100
committer Niels Horn2011-03-05 21:58:40 +0100
commit53fb4f05f2cce1369eaa249d7f61e0822033b675 (patch)
treec67c85bc4ff9ab84643e6ecfb4c7796ae836c1c8
parent4a6e8fe73ddb2f7d4c3fc7757d087c8450574880 (diff)
downloadslackbuilds-53fb4f05f2cce1369eaa249d7f61e0822033b675.tar.gz
development/shc: Added (generic SHell script Compiler)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--development/shc/README8
-rw-r--r--development/shc/shc.SlackBuild77
-rw-r--r--development/shc/shc.info10
-rw-r--r--development/shc/slack-desc19
4 files changed, 114 insertions, 0 deletions
diff --git a/development/shc/README b/development/shc/README
new file mode 100644
index 0000000000..ab1e45923f
--- /dev/null
+++ b/development/shc/README
@@ -0,0 +1,8 @@
+SHC takes a script, which is specified on the command line and
+produces C source code. The generated source code is then compiled
+and linked to produce a stripped binary executable.
+
+Use with care.
+
+After installation, try it with
+ shc -v -r -T -f myscript
diff --git a/development/shc/shc.SlackBuild b/development/shc/shc.SlackBuild
new file mode 100644
index 0000000000..016929df70
--- /dev/null
+++ b/development/shc/shc.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for shc script compiler
+# Updated for Slackware by Roberto Metere <roberto <at> metere <dot> it>
+
+PRGNAM=shc
+VERSION=3.8.7
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.t*
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# patch Makefile to respect CFLAGS
+sed -i "s/CFLAGS =/CFLAGS +=/" Makefile
+
+make CFLAGS="$SLKCFLAGS"
+
+# avoid make install errors
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+echo yes > yes
+
+make \
+ INSTALL_PATH="$PKG/usr" \
+ install < yes
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/
+cp -a shc.README CHANGES Copying shc.html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/shc/shc.info b/development/shc/shc.info
new file mode 100644
index 0000000000..9b6fcb0ed4
--- /dev/null
+++ b/development/shc/shc.info
@@ -0,0 +1,10 @@
+PRGNAM="shc"
+VERSION="3.8.7"
+HOMEPAGE="http://www.datsi.fi.upm.es/~frosal/"
+DOWNLOAD="http://www.datsi.fi.upm.es/~frosal/sources/shc-3.8.7.tgz"
+MD5SUM="6057436b4f00b2e0dbf5d364263d822e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Roberto Metere"
+EMAIL="roberto@metere.it"
+APPROVED="Niels Horn"
diff --git a/development/shc/slack-desc b/development/shc/slack-desc
new file mode 100644
index 0000000000..0d7f383888
--- /dev/null
+++ b/development/shc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+shc: shc (generic SHell script Compiler)
+shc:
+shc: shc creates a stripped binary executable version of the
+shc: script specified with -f on the command line.
+shc:
+shc: Homepage: http://www.datsi.fi.upm.es/~frosal/
+shc:
+shc:
+shc:
+shc:
+shc: